package de.jottyfan.timetrack.modules.calendar;

import java.time.LocalDate;
import java.util.ArrayList;
import java.util.List;

import org.springframework.stereotype.Repository;

/**
 * 
 * @author jotty
 *
 */
@Repository
public class DummyRepository {

	/**
	 * get example dates
	 * 
	 * @return the example dates
	 */
	public List<EventBean> getExamples() {
		List<EventBean> list = new ArrayList<>();

		EventBean event1 = EventBean.ofAllDayEvent("e1", "all day event", LocalDate.of(2023, 5, 8));
		event1.setBackgroundColor("darkcyan");

		list.add(event1);

		EventBean event2 = EventBean.ofEvent("e2", "overlapping", LocalDate.of(2023, 5, 8).atTime(10, 0),
				LocalDate.of(2023, 5, 9).atTime(10, 0));

		list.add(event2);

		EventBean event3 = EventBean.ofEvent("e3", "developing", LocalDate.of(2023, 5, 10).atTime(8, 0),
				LocalDate.of(2023, 5, 10).atTime(10, 0));

		list.add(event3);

		return list;
	}
}
